<script>
    import { onMount } from 'svelte'
    import Header from 'components/Header.svelte'
    import Post from 'components/Post/Post.svelte'
    import { timeline, refresh, loadNext } from 'lib/timeline'
    import InfiniteScroll from 'components/InfiniteScroll.svelte'
    import PullToRefresh from 'components/PullToRefresh.svelte'

    let next

    onMount(async () => {
        next = await refresh()
    })

    const more = async () => {
        next = await loadNext()
    }
</script>

<svelte:head>
    <title>Timeline | FooSocial</title>
</svelte:head>

<Header>Timeline</Header>

<section>
    <PullToRefresh callback={refresh}>
        {#if $timeline}
            {#each $timeline as post}
                <Post {post} />
            {/each}
            <InfiniteScroll hasMore={next} on:more={more} />
        {/if}
    </PullToRefresh>
</section>
